import { OnInit, SimpleChanges, EventEmitter } from '@angular/core';
import { NoiseDropLineParam } from './noise-dropbox-line-interface';
import { ECharts } from 'echarts';
import { CommonService } from "../../service/common.service";
import { NoiseDropboxLineService } from './noise-dropbox-line.service';
export declare class NoiseDropboxLineComponent implements OnInit {
    private noiseDropLineService;
    private commonService;
    constructor(noiseDropLineService: NoiseDropboxLineService, commonService: CommonService);
    bcacGetChartInstance: EventEmitter<ECharts>;
    bcacBrushCalculation: EventEmitter<any>;
    bcacBrushSelected: EventEmitter<any>;
    bcacBrushEnlarge: EventEmitter<any>;
    bcacBrushRestore: EventEmitter<any>;
    bcacChartMultipleChoiceChecked: EventEmitter<any>;
    bcacChartSingleChoiceChecked: EventEmitter<any>;
    Option: any;
    _bcacChartTitle: {
        show: boolean;
        label: string;
    };
    bcacChartShowTitle: boolean;
    bcacChartTitleText: string;
    _bcacChartFileName: string;
    bcacChartFileName: string;
    receiveChartData: any;
    _bcacChartDefaultValueData: any;
    _bcacNoiseDropToolboxData: any;
    bcacChartData: NoiseDropLineParam;
    bcacTooltipFormatter: any;
    _isShowToolbox: any;
    bcacChartShowToolbox: boolean | string;
    _bcacChartLoading: boolean;
    bcacChartLoading: boolean;
    _bcacYAxisName: any;
    bcacYAxisName: string;
    bcacYAxisNameGap: number | string;
    bcacXAxisLabelRotate: number;
    bcacYAxisLabelRotate: number;
    brushSelected($event: any): void;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    updateOption(): void;
    chartOption: any;
    renderGraph(): void;
    echartInstance: any;
    onOptionInit(ec: any): void;
    bcacToolboxIntervalChange(e: any): void;
    showSingleChoiceata: string;
    bcacToolboxSingleChoiceChange(e: any): void;
    showMultipleDataList: any[];
    bcacToolboxMultipleChoiceChange(e: any): void;
}
